﻿using System;
using System.Collections.Generic;
using System.Windows.Controls;
using System.Windows.Navigation;
using BigScreen.Pages.Entities;
using BigScreen.Pages.Helpers;
using Microsoft.Phone.Controls;
using XamlEssentials.Helpers;

namespace BigScreen.Pages
{
    public partial class MainPage : PhoneApplicationPage
    {
        // Constructor
        public MainPage()
        {
            InitializeComponent();
        }

        protected override void OnNavigatedTo(NavigationEventArgs e)
        {
            List<Comic> comics = new List<Comic>();

            for (int i = 1; i < 10; i++)
            {
                string uri = string.Format("/Images/marvel{0}.jpg", i);
                Comic comic = new Comic
                {
                    Id = i,
                    ImageUrl = uri,
                    Title = string.Format("Comic {0}", i)
                };

                comics.Add(comic);
            }

            Comics.ItemsSource = comics;
        }

        private void Comics_OnSelectionChanged(object sender, SelectionChangedEventArgs e)
        {
            Comic comic = Comics.SelectedItem as Comic;
            string uri;
            if (DisplayClass.IsPhablet)
            {
                uri = string.Format("/DetailWidePage.xaml?Id={0}", comic.Id);
            }
            else
            {
                uri = string.Format("/DetailPage.xaml?Id={0}", comic.Id);
            }
            NavigationService.Navigate(new Uri(uri, UriKind.Relative));
        }
    }
}